IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

Task templates

Tasks required for all bookings for a unit

The task template object

Attributes

iduuid

Unique identifier

assignee_iduuid | null
members.id

Identifier of the default assignee for this task

product_iduuid
products.id

Identifier of the related unit

created_attimestamp with time zone

Creation timestamp

updated_attimestamp with time zone

Last modification timestamp

labeltext

Label of the task

momentMomentExpression

Moment at which the task should be completed

status"CANCELLED" | "TENTATIVE" | "CONFIRMED"

Whether the task only applies to confirmed events, or also to pending events

timetime without time zone | null

Time at which the task should be scheduled

The task template object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "assignee_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T06:50:03.887Z",
  "updated_at": "2026-03-12T06:50:03.887Z",
  "label": "",
  "moment": {
    "offset": 1,
    "type": "check-in"
  },
  "status": "CONFIRMED",
  "time": null
}

List task templates

Filters

idFilter<uuid>

Unique identifier

assignee_idFilter<uuid | null>
members.id

Identifier of the default assignee for this task

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task should be completed

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time at which the task should be scheduled

Responses

200

A list of task templates with the selected columns

206

Partial Content

GET /task_templates
curl -X GET "https://api.bookingmood.com/v1/task_templates?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create task templates

Body

Partial<TaskTemplate> | Array<Partial<TaskTemplate>>

Responses

201

The newly created task templates with the selected columns

POST /task_templates
curl -X POST "https://api.bookingmood.com/v1/task_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete task templates

Filters

idFilter<uuid>

Unique identifier

assignee_idFilter<uuid | null>
members.id

Identifier of the default assignee for this task

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task should be completed

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time at which the task should be scheduled

Responses

204

The deleted task templates with the selected columns

DELETE /task_templates
curl -X DELETE "https://api.bookingmood.com/v1/task_templates" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update task templates

Filters

idFilter<uuid>

Unique identifier

assignee_idFilter<uuid | null>
members.id

Identifier of the default assignee for this task

product_idFilter<uuid>
products.id

Identifier of the related unit

created_atFilter<timestamp with time zone>

Creation timestamp

updated_atFilter<timestamp with time zone>

Last modification timestamp

labelFilter<text>

Label of the task

momentFilter<MomentExpression>

Moment at which the task should be completed

statusFilter<"CANCELLED" | "TENTATIVE" | "CONFIRMED">

Whether the task only applies to confirmed events, or also to pending events

timeFilter<time without time zone | null>

Time at which the task should be scheduled

Body

Partial<TaskTemplate>

Responses

204

The updated task templates with the selected columns

PATCH /task_templates
curl -X PATCH "https://api.bookingmood.com/v1/task_templates" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'